package com.malk.service.dingtalk;

import java.util.Map;

public interface DDClient {

    /**
     * 获取访问授权
     */
    String getAccessToken();

    String getAccessToken(String appKey, String appSecret);

    String getUserAccessToken(boolean isRefresh, String code_refreshToken);
    
    /**
     * token授权参数: 旧版本
     */
    Map initTokenParams();

    /**
     * token授权参数: 新版本
     */
    Map initTokenHeader();

    /**
     * 获取js_ticket
     */
    String getJsApiTicket(String accessToken);

    /**
     * 通过免登码获取用户信息
     */
    Map getUserInfoByCode(String accessToken, String code);
}

